# Method: customers.customBiddingAlgorithms.removeAdvertiser

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.customBiddingAlgorithms/removeAdvertiser#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.customBiddingAlgorithms/removeAdvertiser#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.customBiddingAlgorithms/removeAdvertiser#body.request_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.customBiddingAlgorithms/removeAdvertiser#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.customBiddingAlgorithms/removeAdvertiser#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.customBiddingAlgorithms/removeAdvertiser#body.aspect)

Remove a DV360 advertiser from the custom bidding algorithm's advertisers.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{customBiddingAlgorithm=customers/*/customBiddingAlgorithms/*}:removeAdvertiser`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customBiddingAlgorithm` | `string` Required. Full resource name of a custom bidding algorithm, e.g. 'customers/123/customBiddingAlgorithms/12345678. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "dv360Advertiser": string } ``` |

| Fields ||
|---|---|
| `dv360Advertiser` | `string (https://developers.google.com/discovery/v1/type-format format)` Advertiser to remove from the custom bidding algorithm |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.customBiddingAlgorithms#CustomBiddingAlgorithm`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`